# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""DenseNet."""

from torch.nn import BCEWithLogitsLoss
from torch.optim import Adam

from ...models.densenet import build_densenet

# config
lr = 0.0001

# model
model = build_densenet(pretrained=False)

# optimizer
optimizer = Adam(model.parameters(), lr=lr)

# criterion
criterion = BCEWithLogitsLoss()
