# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""Feedforward network for Tuberculosis Detection.

Simple feedforward network taking radiological signs in output and
predicting tuberculosis presence in output.
"""

from torch.nn import BCEWithLogitsLoss
from torch.optim import Adam

from ...models.logistic_regression import build_logistic_regression

# config
lr = 1e-2

# model
model = build_logistic_regression(14)

# optimizer
optimizer = Adam(model.parameters(), lr=lr)

# criterion
criterion = BCEWithLogitsLoss()
