# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""Tests for the aggregated Montgomery-Shenzhen-Indian-Padchest dataset."""

import pytest

from ptbench.configs.datasets.indian import default as indian
from ptbench.configs.datasets.mc_ch_in_pc import default as mc_ch_in_pc
from ptbench.configs.datasets.montgomery import default as mc
from ptbench.configs.datasets.padchest import tb_idiap as pc
from ptbench.configs.datasets.shenzhen import default as ch


@pytest.mark.skip_if_rc_var_not_set("datadir.montgomery")
@pytest.mark.skip_if_rc_var_not_set("datadir.shenzhen")
@pytest.mark.skip_if_rc_var_not_set("datadir.indian")
@pytest.mark.skip_if_rc_var_not_set("datadir.padchest")
def test_dataset_consistency():
    # Default protocol
    mc_ch_in_pc_dataset = mc_ch_in_pc.dataset
    assert isinstance(mc_ch_in_pc_dataset, dict)

    mc_dataset = mc.dataset
    ch_dataset = ch.dataset
    in_dataset = indian.dataset
    pc_dataset = pc.dataset

    assert "train" in mc_ch_in_pc_dataset
    assert len(mc_ch_in_pc_dataset["train"]) == len(mc_dataset["train"]) + len(
        ch_dataset["train"]
    ) + len(in_dataset["train"]) + len(pc_dataset["train"])

    assert "test" in mc_ch_in_pc_dataset
    assert len(mc_ch_in_pc_dataset["test"]) == len(mc_dataset["test"]) + len(
        ch_dataset["test"]
    ) + len(in_dataset["test"]) + len(pc_dataset["test"])
