# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""Tests for the aggregated NIH CXR14-PadChest dataset."""

import pytest

from ptbench.configs.datasets.nih_cxr14_re import default as nih
from ptbench.configs.datasets.nih_cxr14_re_pc import idiap as nih_pc
from ptbench.configs.datasets.padchest import no_tb_idiap as pc


@pytest.mark.skip_if_rc_var_not_set("datadir.padchest")
@pytest.mark.skip_if_rc_var_not_set("datadir.nih_cxr14_re")
def test_dataset_consistency():
    # Default protocol
    nih_pc_dataset = nih_pc.dataset
    assert isinstance(nih_pc_dataset, dict)

    nih_dataset = nih.dataset
    pc_dataset = pc.dataset

    assert "train" in nih_pc_dataset
    assert len(nih_pc_dataset["train"]) == len(nih_dataset["train"]) + len(
        pc_dataset["train"]
    )

    assert "validation" in nih_pc_dataset
    assert len(nih_pc_dataset["validation"]) == len(
        nih_dataset["validation"]
    ) + len(pc_dataset["validation"])
